import {defineStore} from 'pinia';
import {AccountVO} from '@/api/settlement/accountSettlementAccounts/types';

export const usePatientAccountStore = defineStore('account', () => {
  const accountInfoList = ref<AccountVO[]>([]);
  const accountInfo = ref<AccountVO>();
  const setAccountInfoList = (val) => {
    accountInfoList.value = val;
  };

  const setAccountInfo = (val: AccountVO) => {
    accountInfo.value = val;
  };

  return {
    accountInfoList,
    accountInfo,
    setAccountInfo,
    setAccountInfoList
  };
});